#include <iostream>

using namespace std;

int main()
{
	int a;
	int b;

	cin >>a;
	cin >>b;
		int c[b-1];
	int d[a-1];
	for(int i=0;i<=b-1;i++)
	{
		cin >>c[i];
	}
	int o=0;
	int v=0;
	int n=0;
	int z=0;
	for(int m=0;m<=a-1;m++)
	{
		d[m]==0;
	}
	for(int i=1;i<=a;i++)
	{ 
		for(int y=0;y<=b-1;y++)
				{
					if(i==c[y])
					{
						i++;
						break;
					}
				}
		for(int j=1;j<=a;j++)
		{
		
				for(int y=0;y<=b-1;y++)
				{
					if(j==c[y])
					{
						j++;
						break;
					}
				}
				if(i>=j)
				{	
							n++;
				}
		}
	}
	cout <<n-((a+1)/2);
	return 0;
}
